This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 301571 - Review Request: opengl-games-utils - Utilities to check proper 3d support before launching 3d games
Review Request: opengl-games-utils - Utilities to check proper 3d support bef...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 05:26 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 11:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-22 05:26:56 EDT
Spec URL: http://people.atrpms.net/~hdegoede/opengl-games-utils.spec
SRPM URL: http://people.atrpms.net/~hdegoede/opengl-games-utils-0.1-1.fc8.src.rpm
Description:
This package contains various shell scripts which are intented for use by
3D games packages. These shell scripts can be used to check if direct rendering
is available before launching an OpenGL game. This package is intended for use
by other packages and is not intended for direct end user use!
Comment 1 Dan Horák 2007-09-22 06:06:44 EDT
formal review is here:

OK	source files match upstream as it is upstream (packager = author)
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	%clean is present.
OK	package builds in mock (development/i386).
OK	rpmlint is silent.
OK	final provides and requires look sane
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates (in fact there are none).
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 2 Hans de Goede 2007-09-22 09:29:36 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      opengl-games-utils
Short Description: Utilities to check proper 3d support before launching 3d games
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-09-24 12:18:22 EDT
cvs done.
Comment 4 Hans de Goede 2007-09-24 14:30:00 EDT
Imported and build, closing.
Comment 5 Hans de Goede 2007-10-09 11:12:22 EDT
Oops, forgot to close.

Note You need to log in before you can comment on or make changes to this bug.